Defines the following events:

- `streamCreated`: dispatched by Session and Publisher
- `streamDestroyed`: dispatched by Session and Publisher

### Hierarchy

- Event
  - StreamEvent

## Index

### Properties

- cancelable
- reason
- stream
- target
- type

### Methods

- isDefaultPrevented
- preventDefault

## Properties

### cancelable

cancelable: boolean

Inherited from Event.cancelable

- Defined in OpenViduInternal/Events/Event.ts:27

Whether the event has a default behaviour that may be prevented by calling Event.preventDefault

### reason

reason: string

- Defined in OpenViduInternal/Events/StreamEvent.ts:44

For 'streamDestroyed' event:

- "unpublish": method `Session.unpublish()` has been called
- "disconnect": method `Session.disconnect()` has been called
- "networkDisconnect": the user's network connection has dropped

For 'streamCreated' empty string

### stream

stream: Stream

- Defined in OpenViduInternal/Events/StreamEvent.ts:34

Stream object that was created or destroyed

### target

target: Session | Subscriber | Publisher

Inherited from Event.target

- Defined in OpenViduInternal/Events/Event.ts:32

The object that dispatched the event

### type

type: string

Inherited from Event.type

- Defined in OpenViduInternal/Events/Event.ts:37

The type of event. This is the same string you pass as first parameter when calling method `on()` of any object implementing EventDispatcher interface

## Methods

### isDefaultPrevented

- isDefaultPrevented(): boolean

- Inherited from Event.isDefaultPrevented

  - Defined in OpenViduInternal/Events/Event.ts:53

  Whether the default beahivour of the event has been prevented or not. Call Event.preventDefault to prevent it

  #### Returns boolean

### preventDefault

- preventDefault(): void

- Inherited from Event.preventDefault

  - Defined in OpenViduInternal/Events/Event.ts:64

  Prevents the default behaviour of the event. The following events have a default behaviour:

  - `sessionDisconnected`: automatically unsubscribes the leaving participant from every Subscriber object of the session (this includes closing the WebRTCPeer connection and disposing all MediaStreamTracks) and also deletes the HTML video element associated to it.
  - `streamDestroyed`: if dispatched by a Publisher (you have unpublished), automatically stops all media tracks and deletes the HTML video element associated to the stream. If dispatched by Session, (other user has unpublished), automatically unsubscribes the proper Subscriber object from the session (this includes closing the WebRTCPeer connection and disposing all MediaStreamTracks) and deletes the HTML video element associated to it.

  #### Returns void

Generated using TypeDoc